import request from '@/utils/httpRequest'
import { ASSESS_PATH as prefix } from "../AppPath";

export default class WorkContractService {
  list (param) {
    return request({
      url: prefix + '/workContract/workContractInfo/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: prefix + '/workContract/workContractInfo/save',
      method: 'post',
      data: param
    })
  }
  remove (url) {
    return request({
      url: prefix + '/workContract/workContractInfo/remove',
      method: 'get',
      params: {id: url}
    })
  }
  findById (id) {
    return request({
      url: prefix + '/workContract/workContractInfo/findById',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/workContract/workContractInfo/updateStatusById',
      method: 'post',
      data: param
    })
  }

  checkName(name){
	  return request({
		  url: prefix + '/workContract/workContractInfo/checkName',
		  method: 'get',
		  params: {name: name}
	  })
  }
}
